View Issue Details

IDProjectCategoryView StatusLast Update
0000411FreeCADBugpublic2011-08-01 09:15
Reporterjr22 Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.12 
Summary0000411: v0.12 b4693
DescriptionHi,

Using the newest build (0.12-b4693). There is something weird about the GUI, it is reproducible. This is what I do to reproduce what was problematic for me (combo view and part workbench activated):

1. New file.
2. Place a sphere
3. Select the sphere in the combo view, press the "..." on the Placement Property
4. Move the sphere by changing the "X" value to 2, Press OK. You will return the combo view
5. Without doing anything else, Press "..." on the Placement property again. (Look at the value, you will see that it does not reflect the value of "2.00" we just gave it.
6. Look at the "X" value !. It has returned to 0.00. (If you press "Ok" the sphere moves back to x=0.00, if you press cancel, it does not move and stays at x=2.00.
Additional InformationThis is something related, but that has to do with usability. I don't think it is a bug, however, it has caused me confusion in the past:

The way that the "Ok" and "Cancel" buttons work is a bit confusing. In other instances if I opened the "Placement" property of an object, and then wanted to return to exit the "Placement" without changing anything, the "obvious" thing for me to do is press "Cancel" to exit without changing anything, but what would happen is that everything would be reset to default, and the object would return to x=0,y=0,z=0, and every change that I made would be reset. I learned afterwards that to exit this frame I needed to press "Ok", and not "Cancel", but (me thinks) this is contrary to what most people would think of the way this should work.
TagsNo tags attached.
FreeCAD Information

Activities

wmayer

2011-07-31 14:58

administrator   ~0000963

No, it is a bug but recently I fixed a more critical bug which reset the placement when pressing the Cancel button of this dialog. This was exact the behaviour you describe in your additional note. So, I if to think about a solution for this...

wmayer

2011-08-01 09:15

administrator   ~0000968

Fixed in r4714

Issue History

Date Modified Username Field Change
2011-07-30 02:05 jr22 New Issue
2011-07-31 14:58 wmayer Note Added: 0000963
2011-08-01 09:15 wmayer Note Added: 0000968
2011-08-01 09:15 wmayer Status new => closed
2011-08-01 09:15 wmayer Resolution open => fixed
2011-08-01 09:15 wmayer Fixed in Version => 0.12